Bug 334514 - The 'Find' box dropdown does not show previous searches
Summary: The 'Find' box dropdown does not show previous searches
Status: CLOSED FIXED
Alias: None
Product: KEXI
Classification: Unclassified
Component: Forms (show other bugs)
Version: 2.9 Alpha
Platform: Mint (Ubuntu based) Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Wojciech Kosowicz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-08 11:52 UTC by Ian Balchin
Modified: 2014-05-28 19:57 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Balchin 2014-05-08 11:52:52 UTC
In a form, when I search for data I use the 'Find' box.
We find a given record using the unique reference number, no problems.
We will search for more records after that.
The dropdown does not record previous searches at all, none, ever.
It is not possible to use this box to reuse any earlier searches

Reproducible: Always

Steps to Reproduce:
1. Enter the unique record number into the 'Find' box
2. Set 'Look In' to the appropriate field
3. Set 'Search' to 'all rows'
4. Set 'Match' to 'Whole field'/
5. Click 'Find Next' , or use Enter key
6. Repeat steps 1 to 5 for a different unique record number
7. Click the down arrow for the drop box

Actual Results:  
No previous search entries are shown.

Expected Results:  
Previous search entries should be shown.

Settings in 2, 3, 4,  above have no bearing or effect on this. The drop box simply shows nothing. It does not even drop. It is not field-specific - a search for data in any other field yields the same result.

In earlier version of Kexi (guess, pre 2.6, maybe earlier, under Ubuntu) this feature used to work. Never worked under Mint, but there was a large version jump when I left Ubuntu, so do not think this is Mint specific.

Not serious, but fails to be the timesaver that it should be.

Running Mint 13 LTS as I speak, but Mints 14 is unchanged in this respect.
Comment 1 Wojciech Kosowicz 2014-05-09 14:59:34 UTC
I solved it :). Patch will be sent today/tomorrow for review. Thanks for info Ian :)
Comment 2 Ian Balchin 2014-05-09 16:24:22 UTC
Wow!
Comment 3 Ian Balchin 2014-05-17 08:11:47 UTC
Wojciech, hi,

How do I know when a fix has been put into the latest downloadable version? I assume that the listing of 'My Bugs' will show it as fixed or cleared or something? Is that automatic or are we relying on memory that someone will sometime clean up the recent outstanding-fixed items on this bug site?

regards
Ian
Comment 4 Wojciech Kosowicz 2014-05-17 20:49:54 UTC
Hi Ian,

This version unfortunately it was not included. It still waits for review :) It will update its status when its pushed into repository :)

Regards
Wojtek
Comment 5 Wojciech Kosowicz 2014-05-28 19:06:46 UTC
Git commit 0810648ebd6c40f66df31eabf919dd1c6113e9ab by Wojciech Kosowicz.
Committed on 28/05/2014 at 18:58.
Pushed by wkosowicz into branch 'master'.

Added storing previous find/replace queries into kexifinddialog

KHistoryComboBox AddToHistory slot was not connected to any signal
therefore it never stored previous queries. Connects were added that
work when combobox is activated or when find/replace/replaceall button
is clicked.
REVIEW: 118074

M  +16   -0    kexi/main/kexifinddialog.cpp
M  +3    -0    kexi/main/kexifinddialog.h
M  +130  -123  kexi/main/kexifinddialog.ui

http://commits.kde.org/calligra/0810648ebd6c40f66df31eabf919dd1c6113e9ab
Comment 6 Wojciech Kosowicz 2014-05-28 19:13:35 UTC
Git commit f753566a6ce22ef35e17d3118f86003c6003c0de by Wojciech Kosowicz.
Committed on 28/05/2014 at 18:58.
Pushed by wkosowicz into branch 'calligra/2.8'.

Added storing previous find/replace queries into kexifinddialog

KHistoryComboBox AddToHistory slot was not connected to any signal
therefore it never stored previous queries. Connects were added that
work when combobox is activated or when find/replace/replaceall button
is clicked.
REVIEW: 118074

M  +16   -0    kexi/main/kexifinddialog.cpp
M  +3    -0    kexi/main/kexifinddialog.h
M  +130  -123  kexi/main/kexifinddialog.ui

http://commits.kde.org/calligra/f753566a6ce22ef35e17d3118f86003c6003c0de